drill-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DRILL-5820) Add support for libpam4j Pam Authenticator
Date Mon, 02 Oct 2017 17:32:00 GMT

    [ https://issues.apache.org/jira/browse/DRILL-5820?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16188467#comment-16188467
] 

ASF GitHub Bot commented on DRILL-5820:
---------------------------------------

Github user asfgit closed the pull request at:

    https://github.com/apache/drill/pull/962


> Add support for libpam4j Pam Authenticator
> ------------------------------------------
>
>                 Key: DRILL-5820
>                 URL: https://issues.apache.org/jira/browse/DRILL-5820
>             Project: Apache Drill
>          Issue Type: Task
>            Reporter: Sorabh Hamirwasia
>            Assignee: Sorabh Hamirwasia
>              Labels: doc-impacting, ready-to-commit
>             Fix For: 1.12.0
>
>
> Drill uses JPAM as the PAM authenticator module for username/password verification for
PLAIN mechanism. There are some known issues with JPAM which leads to JVM crash and memory
leaks. JPAM also requires a manual step in copying the native library. 
> Also based on the [HIVE-16529|https://issues.apache.org/jira/browse/HIVE-16529] there
have been mention of these issues with JPAM which is resolved in the libpam4j. Also libpam4j
avoids the need to install native library explicitly. It would be good to provide support
for libpam4j in Drill to avoid these issues.
> Some other reported problems with JPAM:
> * https://wiki.dlib.indiana.edu/display/V3/Pam+Authentication+through+JPam
> * https://bugzilla.redhat.com/show_bug.cgi?id=860119#c12



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message